import React, { Component } from 'react';
type WMProps = {
    content: string;
    rotation: number;
    fontFamily: string;
    fontColor: string;
    fontSize: number;
    lineHeight: number;
    gap: number;
    className: string;
    style: object;
};
declare class WaterMark extends Component<WMProps> {
    canvas: any;
    ctx: any;
    constructor(props: any);
    shouldComponentUpdate(nextProps: any): boolean;
    render(): React.JSX.Element;
}
export default WaterMark;
